Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access
Interface QuerySystem

All Superinterfaces:
  DataCollectionListener, java.util.EventListener

All Known Implementing Classes:
  DefaultQuerySystem

public interface QuerySystem
extends DataCollectionListener

... Conventions:

- QuerySystem should has public constructor with `DataCollection` argument This constructor is used by `DataCollectioInfo` to create QuerySystem.
Example:

    public class SequenceQuerySystem implements QuerySystem
       {
           public SequenceQuerySystem(DataCollection dc)
           {
               ...
           }
           ...
       }

       All index files used by QuerySystem are registered by DataCollectionInfo.
       Latter this information is used to correctly remove all data collection files.

       close all indexes when QuerySystem is closed or finalised.

Field Summary
`static java.lang.String` | `INDEX_BLOCK_SIZE`
`static java.lang.String` | `INDEX_LIST` List of index names delimited by semicolon.
`static java.lang.String` | `QUERY_SYSTEM_CLASS`

Method Summary
`void` | `close()` Closes all indexes and releases any system resources associated with them stream.
`Index` | `getIndex(java.lang.String name)`
`Index[]` | `getIndexes()`

Methods inherited from interface ru.biosoft.access.DataCollectionListener
`elementAdded, elementChanged, elementRemoved, elementWillAdd, elementWillChange, elementWillRemove`

Field Detail

### QUERY_SYSTEM_CLASS

    public static final java.lang.String QUERY_SYSTEM_CLASS

See Also:
  Constant Field Values

### INDEX_BLOCK_SIZE

    public static final java.lang.String INDEX_BLOCK_SIZE

See Also:
  Constant Field Values

### INDEX_LIST

    public static final java.lang.String INDEX_LIST

  List of index names delimited by semicolon.

  See Also:
    Constant Field Values

Method Detail

### getIndexes

    public Index[] getIndexes()

  Returns:
    all indexes supported by this QuerySystem.

### getIndex

    public Index getIndex(java.lang.String name)

  Returns:
    index by its name

### close

    public void close()

  Closes all indexes and releases any system resources associated with them stream. A closed QuerySystem cannot be reopened.

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.